
.global-content-movies {
  padding-top: 13vh;
  width: 90%;
  margin-left: 5%;
  margin-right: 5%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding-bottom: 10vh;
}

.movie-global {
  position: relative;
  margin: 2%;
  width: 14%;
  display: flex;
  flex-wrap: wrap;
}

.minia-global {
  width: 100%;
  height: 100%;
}

.minia-global:hover .movie-hover {
  opacity: 1;
}

.minia-global:hover .movie-img img {
  border: solid 1px orange;
  opacity: 0.8;
}

.movie-no-img {
  width: 100%;
  border: solid 1px lightgrey;
  height: 350px;
}

.movie-no-img i {
  font-size: 2em;
  margin-left: 1%;
}

.movie-img img {
  width: 100%;
  border: solid 1px lightgrey;
}

.minia-global:hover .movie-title {
  color: white;
}

.movie-title {
  font-size: 1.1em;
}

.movie-year {
  font-size: 0.8em;
  color: lightgrey;
}

.movies-filter {
  width: 86%;
  height: 65px;
  margin-bottom: 2%;
  margin-left: 7%;
  margin-right: 7%;
  background-color: rgba(0, 0, 0, 0.5);
  border-left: 1px solid orange;
  display: flex;
  flex-wrap: wrap;
}

@media screen and (max-width: 1200px) {

  .movie-title {
    font-size: 0.9em;
  }

  .movie-year {
    font-size: 0.6em;
  }

}

@media screen and (max-width: 965px) {

  .movie-global {
    width: 18.5%;
  }

}

@media screen and (max-width: 700px) {

  .movie-global {
    width: 26%;
  }

}

@media screen and (max-width: 500px) {

  .movie-global {
    width: 41%;
  }

}

@media screen and (max-width: 365px) {

  .movie-global {
    width: 86%;
  }

}

@media screen and (max-height: 600px) {

  .global-content-movies {
    padding-top: 30vh;
  }

}

input[type='range'] {
  width: 300px;
  height: 17px;
  overflow: hidden;
  cursor: pointer;
  outline: none;
}
input[type='range'],
input[type='range']::-webkit-slider-runnable-track,
input[type='range']::-webkit-slider-thumb {
  -webkit-appearance: none;
  background: none;
}

input[type='range']::-webkit-slider-runnable-track {
  width: 200px;
  height: 3px;
  background: rgba(255, 165, 0, 1);
}

/* Firefox */
input[type='range']::-moz-range-track {
  width: 365px;
  height: 3px;
  background: rgba(255, 165, 0, 1);
}

input[type='range']:nth-child(2)::-webkit-slider-runnable-track{
  background: none;
}

input[type='range']::-webkit-slider-thumb {
  position: relative;
  height: 15px;
  width: 15px;
  margin-top: -7px;
  background: lightgrey;
  border: 1px solid rgba(255, 165, 0, 1);
  border-radius: 25px;
  z-index: 1;
}

input[type='range']:nth-child(1)::-webkit-slider-thumb{
  z-index: 2;
}

input[type='range']::-moz-range-thumb, #rangeReviewMax, #rangeYearMax {
  margin-top: 20px;
}

input[type='range']::-moz-range-thumb, .movies-filter {
  height: 80px;
}

input[type='range']::-moz-range-thumb {
  position: relative;
  height: 15px;
  width: 15px;
  background: grey;
  border: 1px solid rgba(255, 165, 0, 1);
  border-radius: 25px;
  z-index: 1;
}

.rangeslider{
    position: relative;
    height: 46px;
    width: 300px;
    display: inline-block;
    margin-left: 0px;
    margin-top: 0;
}

.rangeslider input{
  position: absolute;
}

.rangeslider{
}

.review-range {
  width: 300px;
  height: 65px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
}

#reviewMin {
  font-size: 0.6em;
  margin-top: 12px;
}

#reviewMax {
  font-size: 0.6em;
  margin-top: 12px;
}

#yearMin {
  font-size: 0.6em;
  margin-top: 12px;
}

#yearMax {
  font-size: 0.6em;
  margin-top: 12px;
}

.review-genre {
  background-color: rgba(0, 0, 0, 0.1);
  border: none;
  color: white;
  height: 40px;
  border-bottom: 1px solid orange !important;
}

.form-search {
  width: 100px;
  height: 65px;
  margin-left: auto;
  margin-right: auto;
  justify-content: center;
}

.form-search button {
  width: 65px;
  height: 65px;
  z-index: 99;
  background-color: rgba(0, 0, 0, 0);
  border: none;
}

.btn-filter {
  width: 65px;
  height: 65px;
  z-index: 99;
  background-color: rgba(0, 0, 0, 0);
  border: none;
}


.i-search-form {
  z-index: 1;
  font-size: 4em;
  color: orange;
  margin-left: -25px;
}

.i-search-form:hover {
  cursor: pointer;
  color: lightgrey;
}

.search {
  min-height: 90vh;
}

.title-filter {
  font-size: 0.6em;
  margin-right: 10px;
}

@media screen and (max-width: 1400px) {

  input[type='range'] {
    width: 200px;
  }

  input[type='range']::-webkit-slider-runnable-track {
    width: 200px;
  }

  /* Firefox */
  input[type='range']::-moz-range-track {
    width: 200px;
  }

  .rangeslider{
    width: 200px;
  }

  .review-range {
    width: 200px;
  }

}

@media screen and (max-width: 1000px) {

  .movies-filter {
    height: 250px;
  }

  .review-range {
    width: 400px;
  }

  input[type='range'] {
    width: 400px;
  }

  input[type='range']::-webkit-slider-runnable-track {
    width: 400px;
  }

  /* Firefox */
  input[type='range']::-moz-range-track {
    width: 400px;
  }

  .rangeslider{
    width: 400px;
  }

}

@media screen and (max-width: 700px) {

  .movies-filter {
    height: 250px;
  }

  .review-range {
    width: 400px;
  }

  input[type='range'] {
    width: 400px;
  }

  input[type='range']::-webkit-slider-runnable-track {
    width: 400px;
  }

  /* Firefox */
  input[type='range']::-moz-range-track {
    width: 400px;
  }

  .rangeslider{
    width: 400px;
  }

}

@media screen and (max-width: 550px) {

  .review-range {
    width: 300px;
  }

  input[type='range'] {
    width: 300px;
  }

  input[type='range']::-webkit-slider-runnable-track {
    width: 300px;
  }

  /* Firefox */
  input[type='range']::-moz-range-track {
    width: 300px;
  }

  .rangeslider{
    width: 300px;
  }

}


@media screen and (max-width: 400px) {

  .review-range {
    width: 200px;
  }

  input[type='range'] {
    width: 200px;
  }

  input[type='range']::-webkit-slider-runnable-track {
    width: 200px;
  }

  /* Firefox */
  input[type='range']::-moz-range-track {
    width: 200px;
  }

  .rangeslider{
    width: 200px;
  }

}

.movies {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.lds-dual-ring {
  margin: auto;
  width: 112px;
  height: 112px;
  margin-top: 194px;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  border: 6px solid #fff;
  border-color: #fff transparent #fff transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.sort-btn {
  cursor: pointer;
  padding: 10px;
}

.sort-btn:hover {
  color: orange;
}

.sorts-g {
  margin-bottom: 15px;
}

.sorts-g {
  text-align: center;
}